# class Tk::BWidget::SelectColor::Dialog

### Public Instance Methods

create() click to toggle source

    # File lib/tkextlib/bwidget/selectcolor.rb, line 59
    def create
      @keys['type'] = 'dialog'  # 'dialog' type returns color
      tk_call(Tk::BWidget::SelectColor::TkCommandNames[0],
              @path, *hash_kv(@keys))
    end

create_self(keys) click to toggle source
Calls superclass method Tk::BWidget::MessageDlg#create_self

    # File lib/tkextlib/bwidget/selectcolor.rb, line 54
    def create_self(keys)
      super(keys)
      @keys['type'] = 'dialog'
    end